%define pkgname i18n
Summary:	Add Internationalization support to your Ruby application
Name:		ruby-%{pkgname}
Version:	0.6.0
Release:	2
License:	MIT/Ruby License
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	fb94282dab8aadb7de15db134f8133ff
URL:		http://rails-i18n.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Add Internationalization support to your Ruby application.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Hash,KeyError,String,Kernel,GetText}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%{__rm} -r $RPM_BUILD_ROOT%{ruby_vendorlibdir}/i18n/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.textile README.textile
%{ruby_vendorlibdir}/i18n.rb
%{ruby_vendorlibdir}/i18n

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/I18n
%changelog
* Fri Apr 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-i18n.git;a=log;h=master

* Fri Apr 26 2013 Elan Ruusamäe <glen@delfi.ee> f09622e
- refreshen spec; build noarch

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 7865a2b
- 0.6.0

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 4d0610c
- outdated

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> b92d83f
- rel 1
- added ri package

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 0826fa8
- initial revision

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> afbd049
- put internal vendor data in package dir

